---
title: '`glab repo publish catalog`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

[EXPERIMENTAL] Publishes CI/CD components to the catalog.

## Synopsis

[EXPERIMENTAL] Publishes CI/CD components in the project to the CI/CD catalog using the provided tag name.

Requires the feature flag `ci_release_cli_catalog_publish_option` to be enabled
for this project in your GitLab instance.

Requires the same user as the release author.

- It retrieves components from the current repository by searching for
  `yml` files within the "templates" directory and its subdirectories.
- It fails if the feature flag `ci_release_cli_catalog_publish_option`
  is not enabled for this project in your GitLab instance.

Components can be defined:

- In single files ending in `.yml` for each component, like `templates/secret-detection.yml`.
- In subdirectories containing `template.yml` files as entry points,
  for components that bundle together multiple related files. For example,
  `templates/secret-detection/template.yml`.

```plaintext
glab repo publish catalog <tag-name> [flags]
```

## Examples

```console
glab repo publish catalog v1.2.3
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
